// pages/home/index.js

import WxValidate from "../../utils/validate";

import { orderZhan,doLogin } from "../../api/home/index"

Page({

    /**
     * 页面的初始数据
     */
    data: {
        isChecked:false,
        array: ['高中', '大专', '本科', '本科及以上'],
        index: 0,
        date:"2023-02-17"
    },
    login(){
      wx.login({
        timeout:5000,
        success(res){
          doLogin({
            code:res.code,
            appid:"wx6a1adb1b9b8c2648"
          })
          .then(res1 =>{
            wx.setStorageSync('token', res1.data.id)
          })
        }
      })
    },
    submit(e){
        console.log(e);
        var params = e.detail.value
        if (!this.WxValidate.checkForm(params)) {
            //表单元素验证不通过，此处给出相应提示
            let error = this.WxValidate.errorList;
            console.log(error);
            wx.showToast({ 
                title:error[0].msg,
                icon:"none",
                duration:2000
            })
        }else{
          params.id = wx.getStorage('token');
          params.oldjob = "";
          params.sex = params.sex ? 1 : 0;
          orderZhan(params)
          .then(res=>{
            console.log(res);
          })
        }
    },
    bindPickerChange(e){
        this.setData({
            index:e.detail.value
        })
    },
    bindRegionChange(){
      this.setData({
        index:e.detail.value
      })
    },
    switchEvents(e){
        this.setData({
            isChecked:e.detail.value
        })
    },  
    bindDateChange(e){
        this.setData({
            date:e.detail.value
        })  
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        this.initValidate();
    },
    initValidate() {
        let rules = {
          age: {
            required: true,
            maxlength: [10,30]
          },
          sex: {
            required: true
          }
        }
    
        let message = {
          age: {
            required: '请输入年龄',
            maxlength: '报名的年龄在10-30岁之间'
          },
          sex:{
            required:"性别必填"
          }
        }
        //实例化当前的验证规则和提示消息
        this.WxValidate = new WxValidate(rules, message);
      },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})